This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 861607 - Unconfined daemon rngd
Unconfined daemon rngd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 853068
  Show dependency treegraph
 
Reported: 2012-09-29 09:12 EDT by Steve Grubb
Modified: 2012-12-20 10:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:27:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a rng starting point (2.16 KB, text/plain)
2012-09-29 11:18 EDT, Dominick Grift
no flags Details

  None (edit)
Description Steve Grubb 2012-09-29 09:12:35 EDT
Description of problem:
The rngd (random number generator daemon) runs as initrc_t. Its a required daemon to pull entropy from a tpm chip or an ivy bridge processor and push it into /dev/random. Its part of the rng-tools package.


Steps to Reproduce:
1. systemctl start rngd.service
2. ps -eZ | grep initrc_t
Comment 1 Dominick Grift 2012-09-29 11:18:56 EDT
Created attachment 619107 [details]
a rng starting point

The enclosed policy module is what i managed to get

i used /dev/urandom as the "Kernel device used for random number input" i could not get anything else to work on my system.
Comment 2 Dominick Grift 2012-09-29 11:21:27 EDT
Theres a bug in rng_admin() where it should call rng_systemctl_rngd($1) instead of rng_systemctl($1)
Comment 3 Daniel Walsh 2012-10-11 14:31:00 EDT
Fixed in selinux-policy-3.11.1-37.fc18.noarch
Comment 4 Fedora Update System 2012-10-23 16:33:36 EDT
selinux-policy-3.11.1-43.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-43.fc18
Comment 5 Fedora Update System 2012-10-26 11:36:28 EDT
selinux-policy-3.11.1-46.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-46.fc18
Comment 6 Fedora Update System 2012-10-26 15:25:40 EDT
Package selinux-policy-3.11.1-46.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-46.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16862/selinux-policy-3.11.1-46.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 10:27:30 EST
selinux-policy-3.11.1-46.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.